jQuery(document).ready(function($) {
	
	var Stripe_Handler = {

		init: function() {
			var handler = StripeCheckout.configure({
				key         : LD_Stripe_Handler.publishable_key,
				amount      : $( 'input[name="stripe_price"]' ).val(),
				currency    : $( 'input[name="stripe_currency"]' ).val(),
				description : $( 'input[name="stripe_name"]' ).val(),
				email       : $( 'input[name="stripe_email"]' ).val(),
				locale      : 'auto',
				name        : LD_Stripe_Handler.name,
				token: function(token) {
					// Use the token to create the charge with a server-side script.
					// You can access the token ID with `token.id`
					var stripe_token_id = $( '<input type="hidden" name="stripe_token_id" />' ).val( token.id );
					var stripe_token_email = $( '<input type="hidden" name="stripe_token_email" />' ).val( token.email );
					$( '#learndash-stripe-checkout' ).append( stripe_token_id );
					$( '#learndash-stripe-checkout' ).append( stripe_token_email );
					$( '#learndash-stripe-checkout' ).submit();
				}
			});

			$('#learndash-stripe-checkout').on('click', function(e) {
				// Open Checkout with further options
				handler.open({

				});
				e.preventDefault();
			});

			// Close Checkout on page navigation
			$(window).on('popstate', function() {
				handler.close();
			});
		}
	};

	Stripe_Handler.init();
});